Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.deployment.jboss
Class PortletAppDeploymentFactory

    java.lang.Object
      org.jboss.portal.server.deployment.jboss.AbstractDeploymentFactory
          org.jboss.portal.portlet.deployment.jboss.PortletAppDeploymentFactory

All Implemented Interfaces:
  URLFilter, DeploymentFactory

Direct Known Subclasses:
  PortletAppDeploymentFactory

    public class PortletAppDeploymentFactory

extends AbstractDeploymentFactory

todo : remove unused ConfigService

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary
`protected ServerConfig` | `config` .
`protected org.xml.sax.EntityResolver` | `jbossPortletEntityResolver` .
`protected PortletAPIFactory` | `portletAPIFactory` .
`protected java.lang.String` | `portletAPIFactoryClassName` .
`protected PortletApplicationRegistry` | `portletApplicationRegistry` .
`protected PortletInfoFactory` | `portletInfoFactory` .
`protected java.lang.String` | `portletInfoFactoryClassName` .
`protected PortletSecurityService` | `portletSecurityService` .
`protected JBossApplicationMetaData` | `standardJBossApplicationMetaData` .
`protected java.lang.String` | `standardJBossApplicationMetaDataLocation` .
`protected static java.util.regex.Pattern` | `urlPattern` .

Fields inherited from class org.jboss.portal.server.deployment.jboss.AbstractDeploymentFactory
`deployer, log, name, registrationControlledByService, setupLocation, setupURL`

Constructor Summary
`PortletAppDeploymentFactory()`

Method Summary
`boolean` | `acceptFile(java.net.URL url)` Return true if the filter accepts the url.
`JBossApplicationMetaDataFactory` | `createJBossApplicationMetaDataFactory()` Subclasses can provide a subclass of JBossApplicationMetaDataFactory.
`ServerConfig` | `getConfig()`
`org.xml.sax.EntityResolver` | `getJBossPortletEntityResolver()`
`PortletAPIFactory` | `getPortletAPIFactory()`
`java.lang.String` | `getPortletAPIFactoryClassName()`
`PortletInfoFactory` | `getPortletInfoFactory()`
`java.lang.String` | `getPortletInfoFactoryClassName()`
`PortletSecurityService` | `getPortletSecurityService()`
`JBossApplicationMetaData` | `getStandardJBossApplicationMetaData()`
`java.lang.String` | `getStandardJBossApplicationMetaDataLocation()`
`PortletApplicationRegistry` | `getWebAppRegistry()`
`void` | `loadStandardJBossApplicationMetaData()`
`Deployment` | `newInstance(java.net.URL url, PortalWebApp pwa, javax.management.MBeanServer mbeanServer)` Create a new instance of the deployment.
`void` | `setConfig(ServerConfig config)`
`void` | `setJBossPortletEntityResolver(org.xml.sax.EntityResolver jbossPortletEntityResolver)`
`void` | `setPortletAPIFactoryClassName(java.lang.String apiFactoryClassName)`
`void` | `setPortletInfoFactoryClassName(java.lang.String portletInfoFactoryClassName)`
`void` | `setPortletSecurityService(PortletSecurityService portletSecurityService)`
`void` | `setStandardJBossApplicationMetaDataLocation(java.lang.String standardJBossApplicationMetaDataLocation)`
`void` | `setWebAppRegistry(PortletApplicationRegistry portletApplicationRegistry)`
`void` | `start()` Register the factory only if it is controlled by the service lifecycle.
`void` | `stop()` Unregister the factory only if it is controlled by the service lifecycle.

Methods inherited from class org.jboss.portal.server.deployment.jboss.AbstractDeploymentFactory
`acceptDir, create, destroy, getDeployer, getName, getSetupLocation, getSetupURL, isRegistrationControlledByService, registerFactory, setDeployer, setRegistrationControlledByService, setSetupLocation, unregisterFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### urlPattern

    protected static final java.util.regex.Pattern urlPattern

  .

### portletApplicationRegistry

    protected PortletApplicationRegistry portletApplicationRegistry

  .

### config

    protected ServerConfig config

  .

### portletAPIFactoryClassName

    protected java.lang.String portletAPIFactoryClassName

  .

### portletInfoFactoryClassName

    protected java.lang.String portletInfoFactoryClassName

  .

### portletAPIFactory

    protected PortletAPIFactory portletAPIFactory

  .

### portletSecurityService

    protected PortletSecurityService portletSecurityService

  .

### standardJBossApplicationMetaDataLocation

    protected java.lang.String standardJBossApplicationMetaDataLocation

  .

### standardJBossApplicationMetaData

    protected JBossApplicationMetaData standardJBossApplicationMetaData

  .

### jbossPortletEntityResolver

    protected org.xml.sax.EntityResolver jbossPortletEntityResolver

  .

### portletInfoFactory

    protected PortletInfoFactory portletInfoFactory

  .

Constructor Detail

### PortletAppDeploymentFactory

    public PortletAppDeploymentFactory()

Method Detail

### getJBossPortletEntityResolver

    public org.xml.sax.EntityResolver getJBossPortletEntityResolver()

### setJBossPortletEntityResolver

    public void setJBossPortletEntityResolver(org.xml.sax.EntityResolver jbossPortletEntityResolver)

### getConfig

    public ServerConfig getConfig()

### setConfig

    public void setConfig(ServerConfig config)

### getPortletAPIFactoryClassName

    public java.lang.String getPortletAPIFactoryClassName()

### setPortletAPIFactoryClassName

    public void setPortletAPIFactoryClassName(java.lang.String apiFactoryClassName)

### getPortletInfoFactoryClassName

    public java.lang.String getPortletInfoFactoryClassName()

### setPortletInfoFactoryClassName

    public void setPortletInfoFactoryClassName(java.lang.String portletInfoFactoryClassName)

### getWebAppRegistry

    public PortletApplicationRegistry getWebAppRegistry()

### setWebAppRegistry

    public void setWebAppRegistry(PortletApplicationRegistry portletApplicationRegistry)

### getStandardJBossApplicationMetaDataLocation

    public java.lang.String getStandardJBossApplicationMetaDataLocation()

### setStandardJBossApplicationMetaDataLocation

    public void setStandardJBossApplicationMetaDataLocation(java.lang.String standardJBossApplicationMetaDataLocation)

### getStandardJBossApplicationMetaData

    public JBossApplicationMetaData getStandardJBossApplicationMetaData()

### getPortletAPIFactory

    public PortletAPIFactory getPortletAPIFactory()

### getPortletInfoFactory

    public PortletInfoFactory getPortletInfoFactory()

### acceptFile

    public boolean acceptFile(java.net.URL url)

  Description copied from interface: `URLFilter`
  Return true if the filter accepts the url.

### newInstance

    public Deployment newInstance(java.net.URL url,
                                  PortalWebApp pwa,
                                  javax.management.MBeanServer mbeanServer)
                           throws org.jboss.deployment.DeploymentException

  Description copied from interface: `DeploymentFactory`
  Create a new instance of the deployment.

  Parameters:
    `url` - the URL of the file to deploy
    `pwa` - the web application that contains the file to deploy or null if it does not exist
    `mbeanServer` - the JMX mbean server
  Returns:
    a deployment ready to be processed
  Throws:
    `org.jboss.deployment.DeploymentException` - if the deployment cannot be created

### start

    public void start()
               throws java.lang.Exception

  Description copied from class: `AbstractDeploymentFactory`
  Register the factory only if it is controlled by the service lifecycle.

  Overrides:
    `start` in class `AbstractDeploymentFactory`
  Throws:
    `java.lang.Exception`

### loadStandardJBossApplicationMetaData

    public void loadStandardJBossApplicationMetaData()

### stop

    public void stop()

  Description copied from class: `AbstractDeploymentFactory`
  Unregister the factory only if it is controlled by the service lifecycle.

  Overrides:
    `stop` in class `AbstractDeploymentFactory`

### getPortletSecurityService

    public PortletSecurityService getPortletSecurityService()

### setPortletSecurityService

    public void setPortletSecurityService(PortletSecurityService portletSecurityService)

### createJBossApplicationMetaDataFactory

    public JBossApplicationMetaDataFactory createJBossApplicationMetaDataFactory()

  Subclasses can provide a subclass of JBossApplicationMetaDataFactory.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD